import Config

# Do not print debug messages in production
config :logger, level: :info

# For production, don't forget to configure the url host
# to something meaningful, Phoenix uses this information
# when generating URLs.
#
# Note we also include the path to a cache manifest
# containing the digested version of static files. This
# manifest is generated by the `mix phx.digest` task,
# which you should run after static files are built and
# before starting your production server.
config :<%= @project_name %>, <%= @project_name_camel_case %>Web.Endpoint,
  https: [
    port: String.to_integer(System.get_env("HTTPS_PORT", "443")),
    cipher_suite: :strong,
    otp_app: :web,
    certfile: System.get_env("HTTPS_CERT_FILE") || "/opt/ssl/<%= @project_name %>.pem",
    keyfile: System.get_env("HTTPS_KEY_FILE") || "/opt/ssl/<%= @project_name %>_key.pem"
  ],
  server: true,
  root: ".",
  version: Mix.Project.config()[:version],
  cache_static_manifest: "priv/static/cache_manifest.json"

# ## SSL Support
#
# To get SSL working, you will need to add the `https` key
# to the previous section and set your `:url` port to 443:
#
#     config :<%= @project_name %>, <%= @project_name_camel_case %>Web.Endpoint,
#       ...
#       url: [host: "<%= @project_domain %>", port: 443],
#       https: [
#         :inet6,
#         port: 443,
#         cipher_suite: :strong,
#         keyfile: System.get_env("SOME_APP_SSL_KEY_PATH"),
#         certfile: System.get_env("SOME_APP_SSL_CERT_PATH")
#       ]
#
# The `cipher_suite` is set to `:strong` to support only the
# latest and more secure SSL ciphers. This means old browsers
# and clients may not be supported. You can set it to
# `:compatible` for wider support.
#
# `:keyfile` and `:certfile` expect an absolute path to the key
# and cert in disk or a relative path inside priv, for example
# "priv/ssl/server.key". For all supported SSL configuration
# options, see https://hexdocs.pm/plug/Plug.SSL.html#configure/1
#
# We also recommend setting `force_ssl` in your endpoint, ensuring
# no data is ever sent via http, always redirecting to https:
#
#     config :<%= @project_name %>, <%= @project_name_camel_case %>Web.Endpoint,
#       force_ssl: [hsts: true]
#
# Check `Plug.SSL` for all available options in `force_ssl`.

# Finally import the config/prod.secret.exs which loads secrets
# and configuration from environment variables.
